OwnRS clanek.php cross-site scripting

ownrs-clanek-xss (43186) The risk level is classified as MediumMedium Risk

Description:

OwnRS is vulnerable to cross-site scripting, caused by improper validation of user-supplied input by the clanek.php script. A remote attacker could exploit this vulnerability using the id parameter in a specially-crafted URL to execute script in a victim's Web browser within the security context of the hosting Web site, once the URL is clicked. An attacker could use this vulnerability to steal the victim's cookie-based authentication credentials.

*CVSS:

Base Score: 4.3
  Access Vector: Network
  Access Complexity: Medium
  Authentication: None
  Confidentiality Impact: None
  Integrity Impact: Partial
  Availability Impact: None
 
Temporal Score: 4.1
  Exploitability: High
  Remediation Level: Unavailable
  Report Confidence: Uncorroborated

Consequences:

Gain Access

Remedy:

No remedy available as of September 1, 2014.

References:

  • OwnRS Web site: OwnRS.
  • BID-29818: OwnRS 'clanek.php' Multiple Input Validation Vulnerabilities
  • CVE-2008-2855: Cross-site scripting (XSS) vulnerability in clanek.php in OwnRS Beta 3 allows remote attackers to inject arbitrary web script or HTML via the id parameter.
  • OSVDB ID: 46789: OwnRS clanek.php id Parameter XSS

Platforms Affected:

  • OwnRS OwnRS beta3

Reported:

Jun 16, 2008

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page